Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178524 - Wrong indentation : "for" in C/C++ with a semicolon(;) directly following
Wrong indentation : "for" in C/C++ with a semicolon(;) directly following
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
formatting, 68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-12 07:15 UTC by gene91
Modified: 2010-01-26 06:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gene91 2009-12-12 07:15:54 UTC
When programming in C/C++, if I type something like this:
for (count=0; a[count]!=0; count++);
The next line will have a "statement continuation indent" which is not correct. It actually shouldn't have any extra indent.
Comment 2 Quality Engineering 2010-01-09 23:40:49 UTC
Integrated into 'main-golden', will be available in build *201001100200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ad1e560b7dcb
User: alexvsimon@netbeans.org
Log: fixed BZ#178524 Wrong indentation : "for" in C/C++ with a semicolon(;) directly following
Comment 3 Alexander Pepin 2010-01-15 07:01:56 UTC
verified in trunk build 201001150201
Comment 4 pgebauer 2010-01-19 08:20:35 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/e852de4abbb5
Comment 5 Alexander Pepin 2010-01-26 06:54:30 UTC
verified in patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo